Loading...
Searching...
No Matches
gx_system::BasicOptions Class Reference

`#include <gx_system.h>`

Inheritance diagram for gx_system::BasicOptions:

## Public Member Functions

| BasicOptions ()
| ~BasicOptions ()
std::string | get_user_filepath (const std::string &basename) const
std::string | get_user_ir_filepath (const std::string &basename) const
std::string | get_builder_filepath (const std::string &basename) const
void | set_user_dir (std::string dir)
void | set_user_IR_dir (std::string dir)
const std::string & | get_user_dir () const
const std::string & | get_user_IR_dir () const
const std::string & | get_sys_IR_dir () const
const PathList & | get_IR_pathlist () const
const PrefixConverter & | get_IR_prefixmap () const

## Static Protected Member Functions

static void | make_ending_slash (std::string &dirpath)

## Protected Attributes

std::string | builder_dir

## Private Attributes

std::string | user_dir
std::string | user_IR_dir
std::string | sys_IR_dir
PathList | IR_pathlist
PrefixConverter | IR_prefixmap

## Static Private Attributes

static BasicOptions * | instance

## Friends

BasicOptions & | get_options ()

## Detailed Description

Definition at line 360 of file gx_system.h.

## Constructor & Destructor Documentation

## BasicOptions()

gx_system::BasicOptions::BasicOptions | ( |  | ) |

Referenced by get_options.

## ~BasicOptions()

gx_system::BasicOptions::~BasicOptions | ( |  | ) |

## Member Function Documentation

## get_builder_filepath()

std::string gx_system::BasicOptions::get_builder_filepath | ( | const std::string & | basename | ) | const

inline

Definition at line 385 of file gx_system.h.

## get_IR_pathlist()

const PathList & gx_system::BasicOptions::get_IR_pathlist | ( |  | ) | const

inline

Definition at line 391 of file gx_system.h.

## get_IR_prefixmap()

const PrefixConverter & gx_system::BasicOptions::get_IR_prefixmap | ( |  | ) | const

inline

Definition at line 392 of file gx_system.h.

## get_sys_IR_dir()

const std::string & gx_system::BasicOptions::get_sys_IR_dir | ( |  | ) | const

inline

Definition at line 390 of file gx_system.h.

## get_user_dir()

const std::string & gx_system::BasicOptions::get_user_dir | ( |  | ) | const

inline

Definition at line 388 of file gx_system.h.

## get_user_filepath()

std::string gx_system::BasicOptions::get_user_filepath | ( | const std::string & | basename | ) | const

inline

Definition at line 383 of file gx_system.h.

Referenced by gx_system::CmdlineOptions::get_ladspa_config_filename(), gx_system::CmdlineOptions::get_online_config_filename(), and gx_system::CmdlineOptions::get_online_presets_filename().

## get_user_IR_dir()

const std::string & gx_system::BasicOptions::get_user_IR_dir | ( |  | ) | const

inline

Definition at line 389 of file gx_system.h.

## get_user_ir_filepath()

std::string gx_system::BasicOptions::get_user_ir_filepath | ( | const std::string & | basename | ) | const

inline

Definition at line 384 of file gx_system.h.

## make_ending_slash()

void gx_system::BasicOptions::make_ending_slash | ( | std::string & | dirpath | ) |

static protected

## set_user_dir()

void gx_system::BasicOptions::set_user_dir | ( | std::string | dir | ) |

inline

Definition at line 386 of file gx_system.h.

## set_user_IR_dir()

void gx_system::BasicOptions::set_user_IR_dir | ( | std::string | dir | ) |

inline

Definition at line 387 of file gx_system.h.

## Friends And Related Symbol Documentation

## get_options

BasicOptions & get_options | ( |  | ) |

friend

Definition at line 558 of file gx_system.h.

## Member Data Documentation

## builder_dir

std::string gx_system::BasicOptions::builder_dir

protected

Definition at line 369 of file gx_system.h.

Referenced by get_builder_filepath().

## instance

BasicOptions* gx_system::BasicOptions::instance

static private

Definition at line 367 of file gx_system.h.

Referenced by get_options.

## IR_pathlist

PathList gx_system::BasicOptions::IR_pathlist

private

Definition at line 365 of file gx_system.h.

Referenced by get_IR_pathlist().

## IR_prefixmap

PrefixConverter gx_system::BasicOptions::IR_prefixmap

private

Definition at line 366 of file gx_system.h.

Referenced by get_IR_prefixmap().

## sys_IR_dir

std::string gx_system::BasicOptions::sys_IR_dir

private

Definition at line 364 of file gx_system.h.

Referenced by get_sys_IR_dir().

## user_dir

std::string gx_system::BasicOptions::user_dir

private

Definition at line 362 of file gx_system.h.

Referenced by get_user_dir(), get_user_filepath(), and set_user_dir().

## user_IR_dir

std::string gx_system::BasicOptions::user_IR_dir

private

Definition at line 363 of file gx_system.h.

Referenced by get_user_IR_dir(), get_user_ir_filepath(), and set_user_IR_dir().

The documentation for this class was generated from the following file:

- src/headers/gx_system.h